Subject: new setuid and seteuid problem
From: "edwede " <[email-masked]>
To: [email-masked]
Date: Mon, 11 Sep 2000 06:01:55 -0700

that's a part of the problem, it doesn't ask for password.

--- here is some more detail about the problem.
I am logged into nt as my nt-domain user that has local nt-admin rights.

su and some other programs make a call to setuid or seteuid. In normal unix, the file 'su' is chmod to 4755 which is -rwsr-xr-x. There is no implementation of "set user execution bit on" 

In its very simple form the program:
--------
#include <stdio.h>
#include <unistd.h>
#include <errno.h>

main()
{
int ret;

ret=seteuid(0);
perror("err");

}
--------
for me gives "not owner".
There is no way to "set user execution bit"
 Do you get something else, if so are you logged in as I am as above?

============ 
>>if I do an 'su - guest' or 'su - tuser1' , I get
> >
> >'su: cannot set user id: Not owner'

>You can't change user context without giving a password
>and if the process has special permissions.

--== Sent via Deja.com http://www.deja.com/ ==--
Before you buy.

--
Want to unsubscribe from this list?
Send a message to [email-masked]